Update DNS record
curl --request PUT \
--url https://www.atom.com/api/registrar/v1/domains/{domain_name}/records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "A",
"name": "www",
"content": "192.0.2.2",
"ttl": 7200,
"comment": "<string>",
"priority": 123
}
'import requests
url = "https://www.atom.com/api/registrar/v1/domains/{domain_name}/records/{record_id}"
payload = {
"type": "A",
"name": "www",
"content": "192.0.2.2",
"ttl": 7200,
"comment": "<string>",
"priority": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'A',
name: 'www',
content: '192.0.2.2',
ttl: 7200,
comment: '<string>',
priority: 123
})
};
fetch('https://www.atom.com/api/registrar/v1/domains/{domain_name}/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "DNS record created successfully",
"data": {
"id": 123,
"type": "A",
"name": "@",
"content": "192.0.2.1",
"ttl": 3600,
"comment": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}{
"success": false,
"error": "Unauthorized",
"message": "Invalid registrar API token or access has been revoked. Please request registrar API access from your dashboard."
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}DNS Management
Update DNS record
Update an existing DNS record. All fields are optional; only provided fields will be updated.
PUT
/
registrar
/
v1
/
domains
/
{domain_name}
/
records
/
{record_id}
Update DNS record
Authorizations
Registrar API Bearer token. Obtain from dashboard at /dashboard/seller/api-access after requesting Registrar API access.
Path Parameters
Domain name (e.g., 'example.com')
DNS record ID
Body
application/json
⌘I